<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "challan.php";
$maindb = "challan";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `partyname` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `mydt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `amount` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `aname` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `ordby` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND `lname` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "8") {
            $cond = "AND `vname` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `partyname` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `mydt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `amount` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `aname` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `ordby` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND `lname` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "8") {
            $cond = "AND `vname` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY `mydt`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `partyname`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `amount`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `aname`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `ordby`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `lname`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `vname`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}

mysqli_query($conn, "Create temporary table `sale` SELECT a.vouchno, date_format(a.vouchdt,'%d-%m-%Y') as mydt, a.vouchdt, a.amount, a.anchor, a.launch, a.ordby,
                                                   a.accode, b.name as partyname, c.name as lname,d.name as aname, e.name as vname FROM `$maindb` a
                                                    LEFT JOIN `accmast` b ON b.accode=a.accode
                                                   LEFT JOIN launch c ON c.code=a.launch
                                                   LEFT JOIN vessel e ON e.code=a.vessel
                                                   LEFT JOIN port d ON d.code=a.anchor ") or die(mysqli_error($conn));


$query = "SELECT * FROM `sale` WHERE vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'vouchno' => $r['vouchno'],
        'amount' => $r['amount'],
        'vouchdt' => $r['mydt'],
        'name' => $r['partyname'],
        'launch' => $r['lname'],
        'vessel' => $r['vname'],
        'anchor' => $r['aname'],
        'ordby' => $r['ordby'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
